application:
  id: VDS01
  name: VDS Communication Server
  history: true
  user-id: admin
  user-pswd: 1234
  listen-port: 3001

communication:
  listen-port: 30100
  dump-recv: true
  dump-send: true
  subscription-status: true
  subscription-status-cycle: 30

server:
  port: 8905
  shutdown: graceful
  error:
    whitelabel:
      enabled: true
    include-exception: false
    include-stacktrace: never
  servlet:
    session:
      timeout: 300

spring:
  application:
    name: vds-comm-server
  profiles:
    active: dev
  main:
    #web-application-type: none
    log-startup-info: true
    banner-mode: off
  mvc:
    view:
      prefix: /WEB-INF/jsp/
      suffix: .jsp
  datasource:
    hikari:
      auto-commit: true
      connection-test-query: SELECT 1 FROM DUAL
      minimumIdle: 5
      maximumIdle: 10
      #maximumPoolSize: 20
      idleTimeout: 30000
      connectTimeout: 10000
      pool-name: pool-vms-comm-server

---
spring:
  config:
    activate:
      on-profile: dev
  datasource:
    hikari:
      driver-class-name: com.tmax.tibero.jdbc.TbDriver
      jdbc-url: jdbc:tibero:thin:@115.91.94.42:8629:tibero
      username: gmutis
      password: gmutis

---
spring:
  config:
    activate:
      on-profile: prod
  datasource:
    hikari:
      driver-class-name: oracle.jdbc.OracleDriver
      #jdbc-url: jdbc:oracle:thin:@172.19.10.26:1521:ptatms
      jdbc-url: jdbc:oracle:thin:@(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST=172.19.10.25)(PORT=1521))(ADDRESS=(PROTOCOL=TCP)(HOST=172.19.10.26)(PORT=1521))(CONNECT_DATA=(SERVER=DEDICATED)(SERVICE_NAME=ptatms)))
      username: ptatms
      password: ptatms

